Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.cas
Interface StringArrayFS

All Superinterfaces:
  CommonArrayFS, FeatureStructure

All Known Implementing Classes:
  StringArray

    public interface StringArrayFS

extends CommonArrayFS

String array interface. To create a string array object, use `CAS.createStringArrayFS()`.

Method Summary
`void` | `copyFromArray(String[] src, int srcOffset, int destOffset, int length)` Copy the contents of an external array into this array.
`void` | `copyToArray(int srcOffset, String[] dest, int destOffset, int length)` Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.
`String` | `get(int i)` Get the i-th string from the array.
`void` | `set(int i, String str)` Set the i-th value.
`int` | `size()` Return the size of the array.
`String[]` | `toArray()` Creates a new array the this array is copied to.

Methods inherited from interface org.apache.uima.cas.CommonArrayFS
`toStringArray`

Methods inherited from interface org.apache.uima.cas.FeatureStructure
`clone, equals, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

Method Detail

### size

    int size()

  Return the size of the array.

  Specified by:
    `size` in interface `CommonArrayFS`
  Returns:
    The size of the array.

### get

    String get(int i)
               throws ArrayIndexOutOfBoundsException

  Get the i-th string from the array.

  Returns:
    The i-th element.
  Throws:
    `ArrayIndexOutOfBoundsException` - If the index is out of bounds.

### set

    void set(int i,
             String str)
             throws ArrayIndexOutOfBoundsException

  Set the i-th value.

  Parameters:
    `i` - The index.
    `str` - The value.
  Throws:
    `ArrayIndexOutOfBoundsException` - If `i` is out of bounds.

### copyToArray

    void copyToArray(int srcOffset,
                     String[] dest,
                     int destOffset,
                     int length)
                     throws ArrayIndexOutOfBoundsException

  Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.

  Specified by:
    `copyToArray` in interface `CommonArrayFS`
  Parameters:
    `srcOffset` - The index of the first element to copy.
    `dest` - The array to copy to.
    `destOffset` - Where to start copying into `dest`.
    `length` - The number of elements to copy.
  Throws:
    `ArrayIndexOutOfBoundsException` - If `srcOffset < 0` or `length > size()` or `destOffset + length > destArray.length`.

### copyFromArray

    void copyFromArray(String[] src,
                       int srcOffset,
                       int destOffset,
                       int length)
                       throws ArrayIndexOutOfBoundsException

  Copy the contents of an external array into this array.

  Specified by:
    `copyFromArray` in interface `CommonArrayFS`
  Parameters:
    `src` - The source array.
    `srcOffset` - Where to start copying in the source array.
    `destOffset` - Where to start copying to in the destination array.
    `length` - The number of elements to copy.
  Throws:
    `ArrayIndexOutOfBoundsException` - When length conditions are not met.

### toArray

    String[] toArray()

  Creates a new array the this array is copied to.

  Returns:
    A Java array copy of this FS array.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.